RESET()

NAME
RESET - restore the value of a run-time parameter to the default value

SYNOPSIS

RESET name
RESET ALL

DESCRIPTION

RESET restores run-time parameters to their default values. RESET is an alternative spelling for

SET parameter TO DEFAULT

Refer to SET [set(7)] for details.

The default value is defined as the value that the parameter would have had, had no SET ever been issued for it in the current session. The actual source of this value might be a compiled-in default, the configuration file, command-line options, or per-database or per-user default settings. See the documentation for details.

See the SET reference page for details on the transaction behavior of RESET.

PARAMETERS

name
    The name of a run-time parameter. See SET [set(7)] for a list.

ALL Resets all settable run-time parameters to default values.

EXAMPLES

Set the geqo configuration variable to its default value:

RESET geqo;

COMPATIBILITY

RESET is a PostgreSQL extension.